--- title: "Create NMS User at Sensor" slug: "create-nms-user-at-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/create-nms-user-at-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Create NMS User at Sensor This URL creates the NMS user at Sensor. ### Resource URL POST /sensor/ /nmsuser ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `NMSUser` | Contains the details of the NMS user | Object | Yes | Details of fields in NMSUser: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `userName` | Name of the NMS user | String | Yes | | `authenticationKey` | Authentication key for the NMS user | String | Yes | | `privateKey` | Private key for the NMS user | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `createdResourceId` | Unique id of the created domain | Number | ### Example **Request** POST [https:///sdkapi/sensor/1001/nmsuser](https://<NSM_IP>/sdkapi/sensor/1001/nmsuser) **Payload** ```     {       "userName": "user2",       "authenticationKey": "admin1235",       "privateKey": "admin1235"    } ``` **Response** ``` {       "createdResourceId": 20 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 5601 | User name, private key and authorization key are mandatory | | 3 | 400 | 5602 | User name, private key and authorization key should be alphanumeric | | 4 | 400 | 5603 | User name's length should be between 8 and 31 | | 5 | 400 | 5604 | Length of private key and authorization key should be between 8 and 15 | | 6 | 400 | 5605 | User name exists in Sensor | | 7 | 400 | 5606 | User name exists in same or parent domain | | 8 | 400 | 5607 | Maximum users that can be handled by Sensor crossed | | 9 | 400 | 5608 | This feature not supported on Sensor | | 10 | 400 | 5609 | User name cannot be changed | | 11 | 400 | 5610 | This object has been created in some other domain: Cannot be deleted/edited | | 12 | 400 | 1124 | The Sensor is inactive | | 13 | 400 | 5401 | FIPS enabled on Sensor |